<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from number_ulamspiral.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="number_ulamspiral" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>number_ulamspiral</refname><refpurpose>Returns the Ulam spiral.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   m = number_ulamspiral ( n )
   m = number_ulamspiral ( n , keepall )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, must be odd and greater than 1</para></listitem></varlistentry>
   <varlistentry><term>keepall :</term>
      <listitem><para> a 1-by-1 matrix of booleans, set to %t to keep all integers, set to %f to keep only primes (default keep=%f)</para></listitem></varlistentry>
   <varlistentry><term>m :</term>
      <listitem><para> a n-by-n matrix of floating point integers</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the Ulam spiral m.
Any entry of this matrix is either a zero or a prime number.
   </para>
   <para>
The process to produce this matrix is to write the integers 1, 2, 3, ...
starting from the center, and circling in the counter-clockwise
order.
Then, only primes are kept: non-prime integers are replaced by zeros.
   </para>
   <para>
According to Wikipedia, the surprising fact is that the
primes "tend to line up along diagonal lines".
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
number_ulamspiral ( 7 )
number_ulamspiral ( 7 , %t )
number_ulamspiral ( 9 )
number_ulamspiral ( 9 , %t )

// Plot the Ulam spiral
m=number_ulamspiral(301);
[i,j]=find(m>0);
plot(i,j,"b.")
h = gce();
h.children.mark_size=1;

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>http://en.wikipedia.org/wiki/Ulam_spiral</para>
</refsection>
</refentry>
